Skip to main content
POST
/
api
/
v2
/
chatbots
/
{chatbotId}
/
knowledge
/
sources
Create data source
curl --request POST \
  --url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/knowledge/sources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connector": "GOOGLE_DRIVE",
  "name": "Support docs",
  "clientRedirectUrl": "https://sitegpt.ai/agents/files-selected"
}
'
{
  "ok": true,
  "data": {
    "source": {
      "id": "source-id",
      "name": "Example source",
      "createdAt": "2026-05-13T00:00:00.000Z"
    }
  },
  "meta": {
    "requestId": "request-id"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Body

application/json
connector
enum<string>
required
Available options:
NOTION,
GOOGLE_DRIVE,
DROPBOX,
ONEDRIVE,
BOX,
SHAREPOINT,
CONFLUENCE,
GITHUB
name
string
clientRedirectUrl
string<uri>
metadata
object
domain
string

Required for Confluence, for example site.atlassian.net.

owner
string

Required for GitHub connections.

connectionLabel
string
apiKey
string

Required for GitHub connections.

Response

Successful SiteGPT API v2 response.

ok
boolean
required
data
object
required
meta
object
required